<vn>
<vn-lot-query id="params">
	<vn-spec name="config" type="Number"/>
</vn-lot-query>
<vn-lot id="lot"/>
<h1 id="title">
	_Shelves
</h1>
<div id="actions">
	<htk-bar-button
		icon="show"
		tip="_Show"
		on-click="onShowClick"/>
</div>
<div id="main" class="shelves">
	<div class="card form">
		<div>
			<label>_Configuration</label>
			<htk-combo
				id="config"
				placeholder="_Select config"
				model="configs-model"
				lot="params"
				name="config"
				on-changed="onConfigChange"
				on-ready="onConfigChange">
				<db-model property="model" id="configs-model">
					SELECT c.id, c.name reportTitle, c.namePrefix, c.warehouse, c.family,
					c.shelf, c.maxAmount, c.showPacking, c.stack, t.reino_id realm
						FROM shelfConfig c
						JOIN vn2008.Tipos t ON t.tipo_id = c.family
				</db-model>
			</htk-combo>
		</div>
		<div>
			<label>_Date</label>
			<htk-date-chooser lot="lot" name="date"/>
		</div>
		<div>
			<label>_Reign</label>
			<htk-combo lot="lot" name="realm">
				<db-model property="model">
					SELECT id, reino FROM vn2008.reinos
						WHERE display != FALSE ORDER BY reino
				</db-model>
			</htk-combo>
		</div>
		<div>
			<label>_Family</label>
			<htk-combo lot="lot" name="family">
				<db-model property="model" lot="lot">
					SELECT tipo_id, Tipo FROM vn2008.Tipos 
						WHERE reino_id = #realm ORDER BY Tipo
				</db-model>
			</htk-combo>
		</div>
		<div>
			<label>_Store</label>
			<htk-combo lot="lot" name="warehouse">
				<db-model property="model">
					SELECT id, name FROM vn2008.warehouse
						WHERE reserve ORDER BY name
				</db-model>
			</htk-combo>
		</div>
		<div>
			<label>_Shelf</label>
			<htk-combo lot="lot" name="shelf">
				<db-model property="model">
					SELECT id, name FROM shelf
				</db-model>
			</htk-combo>
		</div>
		<div>
			<label>_Name prefix</label>
			<htk-entry lot="lot" name="namePrefix"/>
		</div>
		<div>
			<label>_Limit amount per item</label>
			<htk-entry lot="lot" name="maxAmount"/>
		</div>
		<div>
			<label>_Title</label>
			<htk-entry lot="lot" name="reportTitle"/>
		</div>
		<div>
			<label>_Show packing</label>
			<htk-check lot="lot" name="showPacking"/>
		</div>
		<div>
			<label>_Stack different items</label>
			<htk-check lot="lot" name="stack"/>
		</div>
		<div>
			<label>_Use ids instead of names</label>
			<htk-check lot="lot" name="useIds"/>
		</div>
	</div>
</div>
</vn>
